Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.binding
Class JUControlBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding`

All Implemented Interfaces:
  java.util.Map

Direct Known Subclasses:
  JUCtrlActionBinding, JUCtrlScrollBinding, JUCtrlValueBinding

public abstract class JUControlBinding
extends oracle.adf.model.binding.DCControlBinding

The base class for all binding objects in the JClient framework that bind a Swing control/model to a BC4J attribute(s). This class manages:

- The references to the Swing control
- The IteratorBinding with which the binding object is in association
- The form binding that this binding belongs to
- The internal-state for findMode

This class also implements helper methods to access BC4J objects like the Transaction, the current Application Module, the ViewObject that this control binding is working with, the current RowIterator, the current Row in the iterator that this control binding is associated with. It also provides methods to execute the ViewObject behind this again (optionally).

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`protected` | `JUControlBinding()`
`` | `JUControlBinding(java.lang.Object control, oracle.adf.model.binding.DCIteratorBinding iterBinding)` Constructor used in the framework to pass in the Swing control and the Iterator Binding with which this binding object works to get it's data.

Method Summary
`abstract void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`Row` | `getCurrentRow()` Returns the current row for which this control is displaying data.
`JUFormBinding` | `getFormBinding()` Returns the form binding object that this control binding is part of.
`JUIteratorBinding` | `getIteratorBinding()` Returns the iterator binding with which this control binding is associated to get it's data.
`void` | `reportException(java.lang.Exception ex, boolean grabFocus)`
`void` | `setFormBinding(JUFormBinding formBnd)` *** For internal framework use only ***

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getControlModel, getDCIteratorBinding, getDef, getDefFullName, getDefName, getError, getErrors, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, initResources, internalGet, internalHasPermission, internalHasPermission, internalSetName, isControlQueriable, needsEstimatedRowCount, processInputException, refreshControl, release, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, resetInputState, setBindingContainer, setControl, setListener, setListener, setName, toString`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut, put`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JUControlBinding

    protected JUControlBinding()

### JUControlBinding

    public JUControlBinding(java.lang.Object control,
                            oracle.adf.model.binding.DCIteratorBinding iterBinding)

  Constructor used in the framework to pass in the Swing control and the Iterator Binding with which this binding object works to get it's data.

Method Detail

### addControlToPanel

    public abstract void addControlToPanel(java.lang.Object panel,
                                           java.lang.Object layoutObject,
                                           java.lang.Object layoutCons)

  *** For internal framework use only ***

### getFormBinding

    public final JUFormBinding getFormBinding()

  Returns the form binding object that this control binding is part of.

### setFormBinding

    public void setFormBinding(JUFormBinding formBnd)

  *** For internal framework use only ***

### getIteratorBinding

    public final JUIteratorBinding getIteratorBinding()

  Returns the iterator binding with which this control binding is associated to get it's data.

### getCurrentRow

    public Row getCurrentRow()

  Returns the current row for which this control is displaying data. In find mode, this will return an instance of ViewCriteriaRow, whereas in data mode it returns a Row object. This method should be used to get the current Row to which this control is bound in order to perform any validations on the control-value or data stored in the row.

### reportException

    public void reportException(java.lang.Exception ex,
                                boolean grabFocus)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.